import os
from os.path import splitext


def replace_ext(filename: os.PathLike, new_ext: str, force_dot: bool=True) -> os.PathLike:
    return splitext(filename)[0] + ('' if new_ext.startswith('.') or not force_dot else '.') + new_ext
